=== modified file 'unittests/include.am'
--- unittests/include.am	2011-12-21 23:59:06 +0000
+++ unittests/include.am	2011-12-25 02:34:26 +0000
@@ -45,10 +45,9 @@
 check_PROGRAMS += unittests/temporal
 noinst_PROGRAMS += unittests/temporal
 
-unittests_table_identifier_SOURCES =  \
-				      unittests/main.cc \
-				      unittests/table_identifier.cc
-
+unittests_table_identifier_SOURCES= \
+				    unittests/main.cc \
+				    unittests/table_identifier.cc
 unittests_table_identifier_LDADD= \
 				  $(filter-out drizzled/main.$(OBJEXT), ${am_drizzled_drizzled_OBJECTS}) \
 				  ${drizzled_drizzled_LDADD} \
@@ -59,7 +58,7 @@
 
 unittests_atomics_SOURCES= \
 			   unittests/atomics_test.cc \
-			   unittests/simple_main.cc
+			   unittests/main.cc
 
 unittests_atomics_LDADD= \
 			 ${BOOST_LIBS} \
@@ -69,7 +68,7 @@
 
 unittests_pthread_atomics_SOURCES= \
 				   unittests/pthread_atomics_test.cc \
-				   unittests/simple_main.cc
+				   unittests/main.cc
 
 unittests_pthread_atomics_LDADD= \
 				 ${BOOST_LIBS} \
@@ -79,7 +78,7 @@
 
 unittests_libdrizzle_SOURCES= \
 			      unittests/libdrizzle_test.cc \
-			      unittests/simple_main.cc
+			      unittests/main.cc
 
 unittests_libdrizzle_LDADD= \
 			    ${BOOST_LIBS} \
@@ -90,7 +89,7 @@
 
 unittests_utf8_SOURCES= \
 			unittests/utf8_test.cc \
-			unittests/simple_main.cc
+			unittests/main.cc
 
 unittests_utf8_LDADD= \
 		      ${BOOST_LIBS} \
@@ -101,7 +100,7 @@
 
 unittests_constrained_value_SOURCES= \
 				     unittests/constrained_value.cc \
-				     unittests/simple_main.cc
+				     unittests/main.cc
 unittests_constrained_value_LDADD= \
 				   ${BOOST_LIBS} \
 				   ${LTLIBBOOST_UNIT_TEST_FRAMEWORK} ${LTLIBBOOST_UNIT_TEST_FRAMEWORK_MT}
@@ -111,7 +110,7 @@
 unittests_option_context_SOURCES= \
 				  drizzled/module/option_context.cc \
 				  unittests/option_context.cc \
-				  unittests/simple_main.cc
+				  unittests/main.cc
 unittests_option_context_LDADD= \
 				${BOOST_LIBS} \
 				${LTLIBBOOST_UNIT_TEST_FRAMEWORK} ${LTLIBBOOST_UNIT_TEST_FRAMEWORK_MT}
@@ -120,7 +119,7 @@
 
 unittests_global_buffer_SOURCES= \
 				 unittests/global_buffer_test.cc \
-				 unittests/simple_main.cc
+				 unittests/main.cc
 unittests_global_buffer_LDADD= \
 			       ${BOOST_LIBS} \
 			       ${LTLIBBOOST_UNIT_TEST_FRAMEWORK} ${LTLIBBOOST_UNIT_TEST_FRAMEWORK_MT}

=== modified file 'unittests/main.cc'
--- unittests/main.cc	2011-12-21 16:48:51 +0000
+++ unittests/main.cc	2011-12-25 02:34:26 +0000
@@ -22,21 +22,18 @@
 #define BOOST_TEST_MAIN
 #include <boost/test/unit_test.hpp>
 #include <iostream>
-#include <google/protobuf/stubs/common.h>
 
 struct MyConfig
 {
-    MyConfig()
-    {
-       boost::unit_test::unit_test_log.set_threshold_level(boost::unit_test::log_messages);
-    }
+  MyConfig()
+  {
+    boost::unit_test::unit_test_log.set_threshold_level(boost::unit_test::log_nothing);
+    boost::unit_test::unit_test_log.set_format(boost::unit_test::CLF);
+  }
 
-    ~MyConfig()
-    {
-#if GOOGLE_PROTOBUF_VERSION >= 2001000
-      google::protobuf::ShutdownProtobufLibrary();
-#endif
-    }
+  ~MyConfig()
+  {
+  }
 };
 
 BOOST_GLOBAL_FIXTURE( MyConfig )

=== removed file 'unittests/simple_main.cc'
--- unittests/simple_main.cc	2011-12-21 16:48:51 +0000
+++ unittests/simple_main.cc	1970-01-01 00:00:00 +0000
@@ -1,43 +0,0 @@
-/* -*- mode: c; c-basic-offset: 2; indent-tabs-mode: nil; -*-
- *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
- *
- *  Copyright (C) 2011 Andrew Hutchings
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2 of the License, or
- *  (at your option) any later version.
- *
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
- */
-
-#define BOOST_TEST_DYN_LINK
-#define BOOST_TEST_MAIN
-#include <boost/test/unit_test.hpp>
-#include <iostream>
-
-struct MyConfig
-{
-    MyConfig()
-    {
-       boost::unit_test::unit_test_log.set_threshold_level(boost::unit_test::log_messages);
-    }
-
-    ~MyConfig()
-    {
-    }
-};
-
-BOOST_GLOBAL_FIXTURE( MyConfig )
-
-BOOST_AUTO_TEST_CASE(MainInit)
-{
-  BOOST_REQUIRE(true);
-}

